1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Discussion: Hyperion no solder Tutorial

Discussion in 'Hyperion General' started by Brindosch, 21 May 2016.

  1. Arakon

    Arakon Member

    Messages:
    151
    Hardware:
    RPi1/Zero, RPi3, +Arduino
    Not without quite a bit of extra circuitry.
    You'll need a transistor circuit that enables to switch each color individually and program a driver for it too that works with hyperion. Also, you'll need a cooling setup most likely, because the transistors will need to be able to handle 3-4A each.
    And, the biggest issue of course: You can't address the LEDs individually. You can only change the color of the entire strip, which makes it completely useless for ambilight purposes.
     
  2. TPmodding

    TPmodding Administrator Staff Member Administrator

    Messages:
    1,333
    Hardware:
    RPi1/Zero, RPi2, RPi3, +Arduino, +nodeMCU/ESP8266
  3. harun

    harun Member

    Messages:
    66
    Hardware:
    RPi3
    Just use the ws2801 or apa102. Why difficult if easy is possible :)
     
  4. Arxel

    Arxel New Member

    Messages:
    1
    Hardware:
    RPi3
    Hello, first of all, thank you for the great tutorial!
    I followed this guide and have fully working 'raspbilight', except one problem:

    I've added simply on/off switch on power supply wire, to easy power on/off led stripe.
    This switch breaks one of two wires incoming to power supply.

    My RPi powered from TV USB port and HDMI always connected. TV in stand by mode (powered off via button on remote). Led ws2801, PS 10A, RPi 3b+, TV LG 49"

    The problem is, when I power off the led stripe, random - one or two leds, start randomly blink/flick every 1-2 minute. Looks like led stripe recieving small amount of power somewhere, and trying to power on.

    What i've tried:
    1) Disconnected led power supply plug - no blinking
    2) Connected power supply plug + switch in OFF position + disconnected RPi USB and HDMi cables from TV - no blinking
    3) Connected power supply plug + switch in OFF position + connected USB OR HDMI (both, or by one) - blinking

    Could it be power leaking from TV hdmi/usb through RPi to power stripe?
    Should I add 300-500Ohm resistor to DI cable as it described on PWM guide (https://hyperion-project.org/wiki/3-Wire-PWM)?

    I've added capacitor (6.3V/1000µF) to wires (5V/GND) on power supply output, it didn't help.
     
  5. harun

    harun Member

    Messages:
    66
    Hardware:
    RPi3
    Tv usb port is not more then 5v 1a. This is not enough for the pi. Even it is not good for the pi.
     
  6. ben3218

    ben3218 New Member

    Messages:
    2
    Hardware:
    RPi3
    Greetings,

    Few years ago I made this media-center+ambilight using tutorial from https://hyperion-project.org/threads/raspberry-pi-3-mediacenter-hyperion-ambilight-no-soldering.77/ . Everything was working like a charm ever since,until few weeks back raspberry had an update after which it was unable to boot. Long story short, I formatted the SD, and again with the help of the aforementioned tutorial installed osmc, installed hyperion (i think) but the ambilight doesn't work at all.

    Below is the script from SSH traffic, I read some errors, but wouldn't know what they mean if my life depended on it. Also as osmc boots,there is a short notice which reads :
    "Failed to start Hyperion Systemd service. See 'systemctl status hyperion.service' for details. "

    PLEASE,if anyone can help me sort this out.
    I've been banging my head searching the internet and reading (to me) ungraspable forums on this failure to start hyperion. I have absolutely no knowledge of programming or Linux or whatever this is. Could somebody please tell me what the problem here is and is there a simple way to fix it?

    Code:
    ssh connected
    ssh out:     cd /tmp && wget -nv -N https://raw.github.com/hyperion-project/hyperion/master/bin/install_hyperion.sh && chmod +x install_hyperion.sh && sudo sh ./install_hyperion.sh HyperConInstall ; rm install_hyperion.sh
    ssh out:     Last-modified header missing -- time-stamps turned off.
    ssh out:     2019-08-09 20:41:37 URL:https://raw.githubusercontent.com/hyperion-project/hyperion/master/bin/install_hyperion.sh [14552/14552] -> "install_hyperion.sh" [1]
    ssh in:     *******************************************************************************
    ssh in:     This script will install/update Hyperion Ambient Light
    ssh in:     Created by brindosch - hyperion-project.org - the official Hyperion source.
    ssh in:     *******************************************************************************
    ssh in:     ---> Stop Hyperion, if necessary
    ssh in:     ---> Install/Update Hyperion dependencies (This may take a while)
    ssh in:     Setting up x11-common (1:7.7+19) ...
    ssh in:     debconf: unable to initialize frontend: Dialog
    ssh in:     debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
    ssh in:     debconf: falling back to frontend: Readline
    ssh in:     debconf: unable to initialize frontend: Readline
    ssh in:     debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.24.1 /usr/local/share/perl/5.24.1 /usr/lib/arm-linux-gnueabihf/perl5/5.24 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.24 /usr/share/perl/5.24 /usr/local/lib/site_perl /usr/lib/arm-linux-gnueabihf/perl-base .) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
    ssh in:     debconf: falling back to frontend: Teletype
    ssh in:     /var/lib/dpkg/info/x11-common.postinst: line 13: update-rc.d: command not found
    ssh in:     dpkg: error processing package x11-common (--configure):
    ssh in:     subprocess installed post-installation script returned error exit status 127
    ssh in:     dpkg: dependency problems prevent configuration of libice6:armhf:
    ssh in:     libice6:armhf depends on x11-common; however:
    ssh in:       Package x11-common is not configured yet.
    ssh in:     dpkg: error processing package libice6:armhf (--configure):
    ssh in:     dependency problems - leaving unconfigured
    ssh in:     dpkg: dependency problems prevent configuration of libxt6:armhf:
    ssh in:     libxt6:armhf depends on libice6 (>= 1:1.0.0); however:
    ssh in:       Package libice6:armhf is not configured yet.
    ssh in:     dpkg: error processing package libxt6:armhf (--configure):
    ssh in:     dependency problems - leaving unconfigured
    ssh in:     dpkg: dependency problems prevent configuration of libaudio2:armhf:
    ssh in:     libaudio2:armhf depends on libxt6; however:
    ssh in:       Package libxt6:armhf is not configured yet.
    ssh in:     dpkg: error processing package libaudio2:armhf (--configure):
    ssh in:     dependency problems - leaving unconfigured
    ssh in:     dpkg: dependency problems prevent configuration of libsm6:armhf:
    ssh in:     libsm6:armhf depends on libice6 (>= 1:1.0.0); however:
    ssh in:       Package libice6:armhf is not configured yet.
    ssh in:     dpkg: error processing package libsm6:armhf (--configure):
    ssh in:     dependency problems - leaving unconfigured
    ssh in:     dpkg: dependency problems prevent configuration of libqtgui4:armhf:
    ssh in:     libqtgui4:armhf depends on libaudio2; however:
    ssh in:       Package libaudio2:armhf is not configured yet.
    ssh in:     libqtgui4:armhf depends on libice6 (>= 1:1.0.0); however:
    ssh in:       Package libice6:armhf is not configured yet.
    ssh in:     libqtgui4:armhf depends on libsm6; however:
    ssh in:       Package libsm6:armhf is not configured yet.
    ssh in:     dpkg: error processing package libqtgui4:armhf (--configure):
    ssh in:     dependency problems - leaving unconfigured
    ssh in:     Errors were encountered while processing:
    ssh in:     x11-common
    ssh in:     libice6:armhf
    ssh in:     libxt6:armhf
    ssh in:     libaudio2:armhf
    ssh in:     libsm6:armhf
    ssh in:     libqtgui4:armhf
    ssh out:     E: Sub-process /usr/bin/dpkg returned an error code (1)
    ssh in:     ---> Downloading the appropriate Hyperion release
    ssh out:     2019-08-09 20:42:38 URL:https://datapacket.dl.sourceforge.net/project/hyperion-project/release/hyperion_rpi_osmc.tar.gz [1640849/1640849] -> "-" [1]
    ssh in:     ---> Installing systemd script
    ssh out:     Created symlink /etc/systemd/system/multi-user.target.wants/hyperion.service ¬ニメ /etc/systemd/system/hyperion.service.
    ssh in:     ---> Modify systemd script for OSMC usage
    ssh in:     ---> Starting Hyperion
    ssh in:     *******************************************************************************
    ssh in:     Hyperion Installation/Update finished!
    ssh in:     Please download the latest HyperCon version to benefit from new features!
    ssh in:     To create a config, follow the HyperCon Guide at our Wiki (EN/DE)!
    ssh in:     Wiki: wiki.hyperion-project.org Webpage: www.hyperion-project.org